# $Revision: 1.39 $, $Date: 2008/07/27 23:00:11 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	HTML
%define		pnam	FromText
Summary:	HTML::FromText Perl module - convert plain text to HTML
Summary(pl.UTF-8):	Moduł Perla HTML::FromText - konwersja czystego tekstu do HTML
Name:		perl-HTML-FromText
Version:	2.05
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fb8ae4ab0cae0b57101f78b046b3927b
%if %{with tests}
BuildRequires:	perl-Email-Find >= 0.09
BuildRequires:	perl-Exporter-Lite >= 0.01
BuildRequires:	perl-HTML-Parser >= 3.26
BuildRequires:	perl(HTML::Entities) >= 1.26
# Scalar::Util in perl-modules 5.8.0 is too old
BuildRequires:	perl-Scalar-List-Utils >= 1.12
BuildRequires:	perl(Scalar::Util) >= 1.12
BuildRequires:	perl(Text::Tabs) >= 98.1128
BuildRequires:	perl-Test-Pod >= 0.95
BuildRequires:	perl-Test-Simple >= 0.47
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTML::FromText converts text to HTML.

%description -l pl.UTF-8
HTML::FromText konwertuje tekst do formatu HTML.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/text2html
%{perl_vendorlib}/HTML/FromText.pm
%{_mandir}/man1/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTML-FromText.spec,v $
Revision 1.39  2008/07/27 23:00:11  arekm
- release 3

Revision 1.38  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.37  2007/02/12 00:49:34  baggins
- converted to UTF-8

Revision 1.36  2006/09/22 07:12:36  radek
- release 2: turned off tests (fail on Th -- something escapes "'" as
  "&#39;", and the test script doesn't expect it; nothing important)

Revision 1.35  2004/11/03 22:30:25  paladine
- formatting

Revision 1.34  2004/05/06 18:43:11  ankry
- fixed perl-devel BR

Revision 1.33  2004/04/22 06:53:52  ankry
- license fixes and unification

Revision 1.32  2004/04/14 17:08:52  ankry
- cosmetics, unifications

Revision 1.31  2003/11/01 00:40:32  qboosh
- updated to 2.05, added tests

Revision 1.30  2003/09/21 21:48:38  adamg
- updated to 2.02, added text2html script and its manpage

Revision 1.29  2003/09/15 11:43:23  adamg
- updated to 2.00, fixed %%doc

Revision 1.28  2003/09/09 10:24:37  ankry
- spaces -> tab

Revision 1.27  2003/08/18 08:08:50  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/05/28 13:00:39  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:24:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.23  2003/03/01 19:36:53  radek
- should be ready for perl-5.8.0; release++

Revision 1.22  2003/02/25 00:39:25  radek
- use the __perl macro

Revision 1.21  2003/02/18 15:32:57  ankry
- massive attack: change CPAN URLs

Revision 1.20  2002/11/26 00:14:02  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.19  2002/07/10 08:47:32  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/02/25 10:31:50  depesz
cleanup; revision++

Revision 1.16  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 14:15:54  depesz
automatic: Source location unfied, Relase Up

Revision 1.14  2002/02/10 15:26:49  depesz
adapterized

Revision 1.13  2002/01/18 02:14:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/28 15:20:17  mis
- buildarch noarch; release++

Revision 1.11  2001/04/17 12:10:10  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/06 16:18:27  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.8  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/19 22:53:35  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:53  baggins
- translated kloczkish into english

Revision 1.3  1999/11/05 18:42:13  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.2  1999/10/09 17:11:37  pius
- updated to 1.005

Revision 1.1  1999/10/01 21:51:11  pius
- initial release
